
#define LED_PORT PORTB
#define LED_PORT_DIR DDRB

#define LED_FORWARD PB0
#define LED_BACKWARDS PB3
#define LED_LEFT PB1
#define LED_RIGHT PB2

#define ENGINES_PORT PORTC
#define ENGINES_PORT_DIR DDRC

#define DRIVING_ENGINE_PIN1 PC1
#define DRIVING_ENGINE_PIN2 PC2

#define STEERING_ENGINE_PIN1 PC4
#define STEERING_ENGINE_PIN2 PC5

#define NONE -1

//prototipurile functiilor folosite
void initSystem(void);
void initADC(void);
unsigned int readADCDistance(unsigned char);
int goPark(void);
void findSpace(void);
void park(void);
void search(void);
void lightUpLEDs(int, int);

void driveForward(void);
void driveBackwards(void);
void turnLeft(void);
void turnRight(void);
void stopCar(void);
